package com.ruoyi.project.common.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.TCommonfile;

/**
 * 通用附件Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-11
 */
public interface TCommonfileMapper 
{
    /**
     * 查询通用附件
     * 
     * @param id 通用附件ID
     * @return 通用附件
     */
    public TCommonfile selectTCommonfileById(Long id);

    /**
     * 查询通用附件列表
     * 
     * @param tCommonfile 通用附件
     * @return 通用附件集合
     */
    @DataScope(deptAlias = "d")
    public List<TCommonfile> selectTCommonfileList(TCommonfile tCommonfile);

    /**
     * 新增通用附件
     * 
     * @param tCommonfile 通用附件
     * @return 结果
     */
    public int insertTCommonfile(TCommonfile tCommonfile);

    /**
     * 修改通用附件
     * 
     * @param tCommonfile 通用附件
     * @return 结果
     */
    public int updateTCommonfile(TCommonfile tCommonfile);

    /**
     * 删除通用附件
     * 
     * @param id 通用附件ID
     * @return 结果
     */
    public int deleteTCommonfileById(Long id);

    /**
     * 批量删除通用附件
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTCommonfileByIds(Long[] ids);

    List<TCommonfile> selectAllFileList(TCommonfile tCommonfile);
}
